org.eclipse.ease.lang.javascript.rhino.debugger

## Class LineNumberDebugger

- java.lang.Object
- - org.eclipse.ease.debugging.AbstractScriptDebugger
  - - org.eclipse.ease.lang.javascript.rhino.debugger.RhinoDebugger
    - - org.eclipse.ease.lang.javascript.rhino.debugger.LineNumberDebugger

All Implemented Interfaces:
  IEventProcessor, IExecutionListener, org.mozilla.javascript.debug.Debugger

    public class LineNumberDebugger
    extends RhinoDebugger

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.ease.lang.javascript.rhino.debugger.RhinoDebugger

`RhinoDebugger.RhinoDebugFrame`

### Field Summary

### Fields inherited from interface org.eclipse.ease.IExecutionListener

`ENGINE_END, ENGINE_START, SCRIPT_END, SCRIPT_INJECTION_END, SCRIPT_INJECTION_START, SCRIPT_START`

### Constructor Summary

Constructors
Constructor and Description
`LineNumberDebugger(IScriptEngine engine)`

### Method Summary

### Methods inherited from class org.eclipse.ease.lang.javascript.rhino.debugger.RhinoDebugger

`getFrame, handleCompilationDone, notify`

### Methods inherited from class org.eclipse.ease.debugging.AbstractScriptDebugger

`getStacktrace, handleEvent, setDispatcher`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LineNumberDebugger

    public LineNumberDebugger(IScriptEngine engine)